"""Simple usage of MMBSE
    ============================
"""
import pprint

import mmbse_client as mmbse

mmbse = mmbse.MMBSE(api_token="")

# Check if MMBSE is authenticated
print(mmbse.is_authenticated())

# Get model information
model = mmbse.get_model("23")
pprint.pprint(model)

# Get output parameter
output_parameter = mmbse.get_model_output_parameter_value("23", "Rref")
print(f"Param: {output_parameter}")

# Get input files
inputs = mmbse.get_model_input_file_list("23")
print(f"Inputs: {inputs}")

# Upload input file
new = mmbse.upload_model_input_file("23", "test_file.txt", "../tests/test_file.txt")
print(f"New: {new}")

# Get output parameters
paramater_list = mmbse.get_model_output_parameter_list("61")
print(f"Param list: {paramater_list}")
